<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
<meta charset="utf-8" />
<title>Mostra registro di classe</title>
</head>
<body>
<div align="center" th:if="${errorMessageRegisterAlreadyExists}">
    <div th:text="${errorMessageRegisterAlreadyExists}"></div>
</div>
  <div align="center">
  <div sec:authorize="hasAuthority('Professore')">
    <form action="#" th:action="@{/mostraRegistroClasse}" th:object="${classe_scelta}" method='POST'>
        <table>
        
            <tr>
                <td>Seleziona una classe:</td>
                <td>
                    <select th:field="*{nomeClasse}">
                         <option value=""> -- </option>
                         <option th:each="classe : ${nomi_classi}"
                            th:value="${classe}"
                            th:utext="${classe}"/>
                  </select>
 				</td>
            </tr>
         
            <tr>
                 <td><input name="submit" type="submit" value="submit" /></td>
            </tr>
        </table>
       
    </form>
  <div th:each="studente: *{studenti}">
    		<text th:text="${studente.getNome()}">Nome</text>
    		<text th:text="${studente.getCognome()}">Nome</text><br>
		</div>
  
  </div>
  
  
  <div sec:authorize="hasAuthority('Studente')">
     <form action="#" th:action="@{/mostraRegistroClasse}" th:object="${classe_scelta}" method='POST'>
        <table>
        
            <tr>
                <td>Seleziona una classe:</td>
                <td>
                    <select th:field="*{nomeClasse}">
                         <option value=""> -- </option>
                         <option th:each="classe : ${nomi_classi}"
                            th:value="${classe}"
                            th:utext="${classe}"/>
                  </select>
 				</td>
            </tr>
         
            <tr>
                 <td><input name="submit" type="submit" value="submit" /></td>
            </tr>
        </table>
       
    </form>
    	<div th:each="studente: *{studenti}">
    		<text th:text="${studente.getNome()}">Nome</text>
    		<text th:text="${studente.getCognome()}">Nome</text><br>
		</div>
  </div>
</div>	
    
</body>
</html>